# ====================== APAAS ???? ======================
apaas.app.url=https://apaas-meim.app.yuchai.com/app/a5e8e08/ycgf-yf-rddata
apaas.token.url=http://asdasd
apaas.token.clientId=2b5b3de8-e7fd-406a-a59a-d5568457b1f4
apaas.token.clientSecred=94bddc6a-27a4-4204-885b-b075812ec535
apaas.single.tenantId=223770822127386625
apaas.single.appId=771297120740179968
apaas.single.app-group-app-ids=2b5b3de8-e7fd-406a-a59a-d5568457b1f4
apaas.single.private=true
apaas.oauth.app.appOauthTokenUrl=http://mpaas.app.yuchai.com/oauth2/oauth/token
apaas.oauth.app.appOauthUserSchemaJsonPath=$.userName
apaas.oauth.app.appOauthOAuthUserUrl=http://mpaas.app.yuchai.com/oauth2/oauth/user
apaas.tenant.init.db.initial-pool-size=30
apaas.tenant.init.db.max-pool-size=1000
apaas.tenant.initDataModel=true
apaas.hikariConfig.maxLifetimeMs=28800000
apaas.cache.usemq=true
apaas.bizevent.async=false
apaas.deploy.type=null

# APAAS ??????MySQL?
apaas.admin.datasource.type=mysql
apaas.admin.datasource.username=root
apaas.admin.datasource.url=jdbc:mysql://127.0.0.1:3306/test?serverTimezone=GMT%2B8&characterEncoding=utf-8
apaas.admin.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
apaas.admin.datasource.password=qwer12
#????????????
#apaas.admin.datasource.password=qwer12

# APAAS ??????MongoDB?
apaas.single.datasource.mongoDbName=xdap_app_223770822127386625
apaas.single.datasource.mongoUrl=mongodb://localhost:27017/xdap_app_223770822127386625
apaas.single.datasource.mongoPoolConfig.minSize=0
apaas.single.datasource.mongoPoolConfig.maxSize=100
apaas.single.datasource.mongoPoolConfig.maxConnectionLifeTime=3600
apaas.single.datasource.mongoPoolConfig.maxConnectionIdleTime=3600
apaas.single.datasource.mongoPoolConfig.maintenanceFrequency=600
apaas.single.datasource.mongoPoolConfig.maintenanceInitialDelay=240
apaas.single.datasource.mongoPoolConfig.maxWaitQueueSize=500
apaas.single.datasource.mongoPoolConfig.maxWaitTime=120

# ====================== ?????? ======================
deploy.backend.platform.port=30607
deploy.backend.platform.host=10.20.52.11
deploy.backend.singleapp.host=apaas-meim.app.yuchai.com
deploy.front.workbench.port=443
deploy.front.workbench.host=apaas-meim.app.yuchai.com
deploy.front.platform.port=443
deploy.front.platform.host=apaas-meim.app.yuchai.com
deploy.front.singleapp.host=apaas-meim.app.yuchai.com
deploy.front.singleapp.app.prefix=app/a5e8e08/ycgf-yf-rddata
deploy.front.singleapp.m.prefix=m/a5e8e08/ycgf-yf-rddata
deploy.rabbit.host=127.0.0.1
deploy.rabbit.port=5672
deploy.rabbit.username=guest
deploy.rabbit.password=guest
deploy.redis.host=127.0.0.1
deploy.redis.port=6379
deploy.redis.password=xdapredis
deploy.powerjob.address=127.0.0.1:7700

# ====================== ??????MPAAS? ======================
mpaas.datasource[0].name=xdap_app_223770822127386625
mpaas.datasource[0].type=mysql
mpaas.datasource[0].url=jdbc:mysql://127.0.0.1:3306/test?serverTimezone=GMT%2B8&characterEncoding=utf-8
mpaas.datasource[0].driver-class-name=com.mysql.cj.jdbc.Driver
mpaas.datasource[0].username=root
mpaas.datasource[0].password=root
mpaas.datasource[0].minPoolSize=50
mpaas.datasource[0].maxPoolSize=1000
mpaas.datasource[1].name=yc_lrs_test_relsult
mpaas.datasource[1].type=mysql
mpaas.datasource[1].url=jdbc:mysql://127.0.0.1:3306/yc_lrs_test_relsult?serverTimezone=GMT%2B8&characterEncoding=utf-8
mpaas.datasource[1].driver-class-name=com.mysql.cj.jdbc.Driver
mpaas.datasource[1].username=root
mpaas.datasource[1].password=root
mpaas.datasource[1].minPoolSize=50
mpaas.datasource[1].maxPoolSize=1000
mpaas.datasource[2].name=qygs
mpaas.datasource[2].type=mysql
mpaas.datasource[2].url=jdbc:mysql://127.0.0.1:3306/test?serverTimezone=GMT%2B8&characterEncoding=utf-8
mpaas.datasource[2].driver-class-name=com.mysql.cj.jdbc.Driver
mpaas.datasource[2].username=root
mpaas.datasource[2].password=root
mpaas.datasource[2].minPoolSize=50
mpaas.datasource[2].maxPoolSize=1000

mpaas.security=false
mpaas.query.dbadatper=mysql
mpaas.query.security.mode=custom
mpaas.query.dbvendor=mysql
mpaas.query.bigdatathresholdvalue=100000

mpaas.mode=DEV

# ====================== Activiti ????? ======================
activiti.datasource.driverClassName=com.mysql.cj.jdbc.Driver
activiti.datasource.url=jdbc:mysql://127.0.0.1:3306/activiti_demo?serverTimezone=Asia/Shanghai&characterEncoding=utf-8
activiti.datasource.username=root
activiti.datasource.password=root
activiti.datasource.maxActive=50
activiti.datasource.inIdle=5
activiti.datasource.initialSize=5
spring.activiti.process-definition-location-prefix=classpath:/processes/
spring.activiti.check-process-definitions=true
spring.activiti.database-schema-update=true
spring.activiti.deployment-mode=default
activiti.databaseSchemaUpdate=true

# ====================== Spring ??????? ======================
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://127.0.0.1:3306/test?serverTimezone=Asia/Shanghai&characterEncoding=utf-8
spring.datasource.username=root
spring.datasource.password=root

# ====================== ??/?????? ======================
# Redis ??
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.timeout=10000
spring.redis.jedis.pool.min-idle=0
spring.redis.jedis.pool.max-idle=8
spring.redis.jedis.pool.max-wait=-1
spring.redis.jedis.pool.max-active=20

# RabbitMQ ??
spring.rabbitmq.host=127.0.0.1
spring.rabbitmq.port=5672
spring.rabbitmq.username=guest
spring.rabbitmq.password=guest

# ====================== PowerJob ?????? ======================
powerjob.akka-port=27777
powerjob.server-address=127.0.0.1:7700
powerjob.app-name=49b90be5-eebe-4359-a
powerjob.store-strategy=disk
powerjob.enable-test-mode=false
powerjob.worker.akka-port=27777
powerjob.worker.server-address=127.0.0.1:7700
powerjob.worker.app-name=49b90be5-eebe-4359-a
powerjob.worker.store-strategy=disk
powerjob.worker.enabled=false
powerjob.worker.enable-test-mode=true

# ====================== ????? ======================
server.port=9091
server.compression.enabled=true
server.compression.mime-types=application/json,application/xml,text/html,text/xml,text/plain,application/javascript,text/css
server.compression.min-response-size=2048
spring.servlet.multipart.max-file-size=150MB
spring.servlet.multipart.max-request-size=200MB
spring.jackson.default-property-inclusion=non_null

# ====================== ??/???? ======================
token.ttlMillis=7200000
token.refreshTtlMillis=1209600000
token.openTokenTtlMillis=7200000
token.openTokenRefreshTtlMillis=1209600000
standard.plan.appTtlMillis=3600000
standard.plan.userTtlMillis=7200000

# ====================== ???? ======================
logging.file=log/xdap-app.log
logging.config=classpath:logback-spring.xml

# ====================== ??????? ======================
# ??OCR??
baidu.ocr.vatInvoiceUrl=https://aip.baidubce.com/rest/2.0/ocr/v1/vat_invoice
baidu.ocr.basicGeneralUrl=https://aip.baidubce.com/rest/2.0/ocr/v1/accurate_basic
baidu.ocr.businessCardUrl=https://aip.baidubce.com/rest/2.0/ocr/v1/business_card
baidu.ocr.accessTokenUrl=https://aip.baidubce.com/oauth/2.0/token?
baidu.ocr.accessTokenKey=BAIDU_OCR_KEY
baidu.ocr.appId=23499932
baidu.ocr.apiKey=HHRFL3VPtnj7Nle60ytbGMls
baidu.ocr.secretKey=VTvrrMjZZC1xtYfu82cfUhjeYgNTRIHe

# ???OSS??
aliyun.oss.accessKeyId=LTAI4GEC6ssfFDuVDUL3TbLp
aliyun.oss.accessKeySecret=ZpbgWTt2qfK68lQILqj0H3EdIun1Qf
aliyun.oss.endpoint=http://oss-cn-shanghai.aliyuncs.com

# ????
dingding.redirectUri=redirect_uri=https%3A%2F%2Fapaas-meim.app.yuchai.com%2Fapp%2Fa5e8e08%2Fycgf-yf-rddata%2Fcallback%2Fdingding%2Findex.html&response_type=code&prompt=consent&scope=openid
dingding.pageLink=null
dingding.userIdByMobileUrl=https://oapi.dingtalk.com/topapi/v2/user/getbymobile
dingding.userAccessTokenUrl=https://api.dingtalk.com/v1.0/oauth2/userAccessToken
dingding.sendMessageUrl=https://api.dingtalk.com/v1.0/robot/oToMessages/batchSend
dingding.authUrlPre=https://login.dingtalk.com/oauth2/auth?
dingding.userInfoUrl=https://api.dingtalk.com/v1.0/contact/users/me
dingding.appAccessTokenUrl=https://oapi.dingtalk.com/gettoken

# ????
feishu.feiShuUrlPre=https://open.feishu.cn/open-apis/authen/v1/index?
feishu.getOpenIdUrl=https://open.feishu.cn/open-apis/user/v1/batch_get_id?mobiles=
feishu.getTokenUrl=https://open.feishu.cn/open-apis/auth/v3/app_access_token/internal/
feishu.feiShuRedirectUri=redirect_uri=https%3A%2F%2Fapaas-meim.app.yuchai.com%2Fapp%2Fa5e8e08%2Fycgf-yf-rddata%2Fcallback%2Ffeishu%2Findex.html

# ??????
apaasworkwechat.message.wxOAuth2url=https://open.weixin.qq.com/connect/oauth2/authorize?appid=${CORPID!""}&redirect_uri=${URL!""}callback%2Fwe-com%2Findex.html&response_type=code&scope=snsapi_privateinfo&state=${STATE!""}&agentid=${AGENTID!""}#wechat_redirect
apaasworkwechat.message.workWechatUrlPre=null

# ====================== XDAP ???? ======================
xdap.jobServerUrl=http://localhost:7700
xdap.adminUrl=gateway.yctp.yuchaidev.com/apaas/xdap-admin
xdap.gatewayUrl=gateway.yctp.yuchaidev.com/apaas/gateway
xdap.jobUrl=http://127.0.0.1:${server.port:9091}/xdap-job
xdap.openappUrl=http://127.0.0.1:${server.port:9091}/xdap-app
xdap.appUrl=http://127.0.0.1:${server.port:9091}/xdap-app
#xdap.singleAdminAppUrl=http://10.20.52.58:30607/xdap-app
xdap.snow.data-center-id=0
xdap.snow.workId=192
xdap.avatar.prefix=/xdap-app/attachments/downloadFile?file=
xdap.avatar.path=/resource/head_portrait/
xdap.avatar.adminBucketName=xdap-admin-dev
xdap.avatar.bucketName=xdap-app-dev
xdap.avatar.localPath=/data/resources/attachments/
xdap.avatar.enableDynamicsPrefix=false
xdap.avatar.adminPrefix=https://apaas-meim.app.yuchai.com/apaas/platform/xdap-admin/attachments/downloadFile?file=
xdap.share.frontSingleAppHost=https://apaas-meim.app.yuchai.com/app/a5e8e08/ycgf-yf-rddata/
xdap.share.frontSingleMobileHost=https://apaas-meim.app.yuchai.com/m/a5e8e08/ycgf-yf-rddata/
xdap.share.pcSkipUrl=blank/public-form?shareId=
xdap.share.mobileSkipUrl=blank/public-form?shareId=
xdap.share.editAfterShareUrl=/xdap-app/formShareSkip/skip/shareUrl?shareId=
xdap.invitation.prefix=http://k8s.definesys.com:31005/x-project-app/blank/invite?inviteCode=
xdap.skipurl=https://apaas-meim.app.yuchai.com/app/a5e8e08/ycgf-yf-rddata/%s/app/app-page?appId=%s&formId=%s&title=%s&currentMenu=%s
xdap.skipDetailurl=https://apaas-meim.app.yuchai.com/app/a5e8e08/ycgf-yf-rddata/%s/app/app-page?appId=%s&formId=%s&title=%s&currentMenu=%s&documentId=%s
xdap.todourl=https://apaas-meim.app.yuchai.com/workbench/app/%s/todoCenter/myTodo/?formId=%s&documentId=%s&processId=%s
xdap.todocenter=https://apaas-meim.app.yuchai.com/workbench/app/%s/todoCenter/myTodo
xdap.resource.path=i18n/platform/platform_en_US.properties,i18n/platform/platform_zh_CN.properties,i18n/workbench/workbench_en_US.properties,i18n/workbench/workbench_zh_CN.properties,i18n/app/app_en_US.properties,i18n/app/app_zh_CN.properties,i18n/app/app_ja_JP.properties
xdap.apaas.dbselectPriv=false
xdap.apaas.private=true
xdap.apaas.cache.run.init=true
xdap.apaas.interface.encrypt.appEncryptionForceOpen=DISABLE
xdap.apaas.interface.encrypt.appEncryptionType=SM2
xdap.apaas.interface.encrypt.appEncryptionStatus=DISABLE
xdap.apaas.interface.encrypt.encryptType=DISABLE
xdap.apaas.decryptProperties=DO_ENCRYPT
xdap.apaas.interface.encrypt.privateKeyHex=4b6b9fa1be0757bf4977344c634c4ac2b0c907cd3b225ea16b674b8348ffdcde
xdap.apaas.interface.encrypt.publicKeyHex=04919f2130b035e29f079b4dace907e3cad716556f93574f1f2d61685f6a5ac251cba81822062353a07fd69f2c544f2263f217e04b3af327453c1f9157a434e0de
xdap.apaas.zuc.iv=null
xdap.apaas.zuc.k=null
xdap.password.forceModify=DISABLE
xdap.password.passwordValidateMessage=\u5bc6\u7801\u9700\u5305\u542b\u6570\u5b57\u3001\u5b57\u6bcd\u5927\u5c0f\u5199\u548c\u7279\u6b8a\u5b57\u7b26\uff0c\u4e0d\u5c11\u4e8e8\u4f4d
xdap.password.passwordValidateRule=^.*(?=.{8,32})(?=.*\d)(?=.*[A-Z])(?=.*[a-z])(?=.*[!@#$%^&*?.() +-_~,=]).*$
xdap.header.accessControlAllowOrigin[0]=*
xdap.process.suspendTimeFlag=ENABLE
xdap.process.batchOption=20

# ====================== ????? ======================
license.path=/data/resources/license.lic
license.publicKeyStorePath=/data/resources/publicCerts.keystore

# ====================== Feign ?????? ======================
feign.hystrix.enabled=false
feign.client.config.default.read-timeout=50000
feign.client.config.default.connect-timeout=20000

# ====================== Nacos ?? ======================
spring.cloud.nacos.discovery.enabled=false
spring.cloud.nacos.config.refresh-enabled=false
spring.cloud.nacos.discovery.instance-enabled=false
spring.cloud.nacos.config.enabled=false

# ====================== ????????? ======================
fileformat.whiteList[0]=.jpg
fileformat.whiteList[1]=.jpeg
fileformat.whiteList[2]=.jfif
fileformat.whiteList[3]=.png
fileformat.whiteList[4]=.xls
fileformat.whiteList[5]=.xlsx
fileformat.whiteList[6]=.doc
fileformat.whiteList[7]=.docx
fileformat.whiteList[8]=.ppt
fileformat.whiteList[9]=.pptx
fileformat.whiteList[10]=.gif
fileformat.whiteList[11]=.pdf
fileformat.whiteList[12]=.txt
fileformat.whiteList[13]=.zip
fileformat.whiteList[14]=.rar
fileformat.whiteList[15]=.mp3
fileformat.whiteList[16]=.mp4
fileformat.whiteList[17]=.avi
fileformat.whiteList[18]=.mov
fileformat.whiteList[19]=.md
fileformat.whiteList[20]=.json
fileformat.whiteList[21]=.7z
fileformat.whiteList[22]=.tar
fileformat.whiteList[23]=.gz
fileformat.whiteList[24]=.csv
fileformat.whiteList[25]=.xml
fileformat.whiteList[26]=.jar
fileformat.whiteList[27]=.log
fileformat.whiteList[28]=.keystore
fileformat.whiteList[29]=.xlsm
fileformat.whiteList[30]=.yml
fileformat.whiteList[31]=.yaml
fileformat.whiteList[32]=.properties
fileformat.whiteList[33]=.xml
fileformat.whiteList[34]=.dfy
fileformat.whiteList[35]=.dfyx
fileformat.whiteList[36]=.svg
fileformat.whiteList[37]=.hex

# ====================== ???? ======================
download.config.downloadType=PERMANENT
download.config.effectiveTime=168
download.config.publicKeyHex=04919f2130b035e29f079b4dace907e3cad716556f93574f1f2d61685f6a5ac251cba81822062353a07fd69f2c544f2263f217e04b3af327453c1f9157a434e0de
download.config.privateKeyHex=4b6b9fa1be0757bf4977344c634c4ac2b0c907cd3b225ea16b674b8348ffdcde

# ====================== ????? ======================
i18n.backendProjects[0]=app
i18n.backendProjects[1]=platform
i18n.backendProjects[2]=workbench
i18n.frontProjects[0]=app
i18n.frontProjects[1]=app-h5
i18n.frontProjects[2]=common
i18n.frontProjects[3]=platform-admin
i18n.frontProjects[4]=workbench
i18n.frontProjects[5]=workbench-h5
i18n.frontProjects[6]=x-dcloud-business-event
i18n.frontProjects[7]=x-dcloud-page-engine
i18n.frontProjects[8]=x-dcloud-page-mobile
i18n.frontProjects[9]=x-dcloud-page-web
i18n.frontProjects[10]=xui

# ====================== ???? ======================
management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=always
management.health.db.enabled=false